Package de.willuhn.jameica.hbci.server

# Class SepaDauerauftragImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseDauerauftragImpl
de.willuhn.jameica.hbci.server.SepaDauerauftragImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `BaseDauerauftrag`, `Checksum`, `Duplicatable`, `HibiscusDBObject`, `HibiscusTransfer`, `SepaBooking`, `SepaDauerauftrag`, `SepaPayment`, `Transfer`, `Serializable`, `Remote`

public class SepaDauerauftragImpl extends AbstractBaseDauerauftragImpl implements SepaDauerauftrag
Implementierung eines SEPA-Dauerauftrags.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`ORDERID_PLACEHOLDER`

## Constructor Summary

Constructors
Constructor
Description
`SepaDauerauftragImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canChange()`
Liefert true, wenn die Bank mitgeteilt hat, dass der Auftrag aenderbar ist.
`boolean`
`canDelete()`
Liefert true, wenn die Bank mitgeteilt hat, dass der Auftrag geloescht werden darf.
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`long`
`getChecksum()`
Liefert die Checksumme des Objektes.
`String`
`getEndtoEndId()`
Liefert die optionale End2End-ID fuer SEPA.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getPmtInfId()`
Liefert die optionale PmtInf-ID fuer SEPA.
`String`
`getPurposeCode()`
Liefert den optionalen Purpose-Code.
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`void`
`setChangable(boolean b)`
Legt fest, ob der Auftrag der Bank zufolge aenderbar ist.
`void`
`setDeletable(boolean b)`
Legt fest, ob der Auftrag der Bank zufolge loeschbar ist.
`void`
`setEndtoEndId(String id)`
Speichert die optionale End2End-ID fuer SEPA.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setPmtInfId(String id)`
Speichert die optionale PmtInf-ID fuer SEPA.
`void`
`setPurposeCode(String code)`
Speichert den optionalen Purpose-Code.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractBaseDauerauftragImpl

`equals, getAttribute, getErsteZahlung, getLetzteZahlung, getNaechsteZahlung, getOrderID, getPrimaryAttribute, getTurnus, isActive, setErsteZahlung, setLetzteZahlung, setOrderID, setTurnus`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getBetrag, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, overwrite, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2, store, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`delete, getErsteZahlung, getLetzteZahlung, getNaechsteZahlung, getOrderID, getTurnus, isActive, setErsteZahlung, setLetzteZahlung, setOrderID, setTurnus`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### SepaDauerauftragImpl

public SepaDauerauftragImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### getChecksum

public long getChecksum() throws RemoteException
Description copied from interface: `Checksum`
Liefert die Checksumme des Objektes.

Specified by:
  `getChecksum` in interface `Checksum`
Returns:
  Checksumme.
Throws:
  `RemoteException`
See Also:
  - `Checksum.getChecksum()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractHibiscusTransferImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHibiscusTransferImpl.insertCheck()`

### setGegenkontoBLZ

public void setGegenkontoBLZ(String blz) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die BLZ des Gegenkontos.

Specified by:
  `setGegenkontoBLZ` in interface `HibiscusTransfer`
Overrides:
  `setGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setGegenkontoBLZ(java.lang.String)`

### getGegenkontoBLZ

public String getGegenkontoBLZ() throws RemoteException
Description copied from interface: `Transfer`
Liefert die BLZ des Gegenkontos.

Specified by:
  `getGegenkontoBLZ` in interface `Transfer`
Overrides:
  `getGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.getGegenkontoBLZ()`

### getEndtoEndId

public String getEndtoEndId() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert die optionale End2End-ID fuer SEPA.

Specified by:
  `getEndtoEndId` in interface `SepaBooking`
Returns:
  die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getEndtoEndId()`

### setEndtoEndId

public void setEndtoEndId(String id) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert die optionale End2End-ID fuer SEPA.

Specified by:
  `setEndtoEndId` in interface `SepaBooking`
Parameters:
  `id` - die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setEndtoEndId(java.lang.String)`

### canChange

public boolean canChange() throws RemoteException
Description copied from interface: `SepaDauerauftrag`
Liefert true, wenn die Bank mitgeteilt hat, dass der Auftrag aenderbar ist.

Specified by:
  `canChange` in interface `SepaDauerauftrag`
Returns:
  true, wenn die Bank mitgeteilt hat, dass der Auftrag aenderbar ist.
Throws:
  `RemoteException`
See Also:
  - `SepaDauerauftrag.canChange()`

### canDelete

public boolean canDelete() throws RemoteException
Description copied from interface: `SepaDauerauftrag`
Liefert true, wenn die Bank mitgeteilt hat, dass der Auftrag geloescht werden darf.

Specified by:
  `canDelete` in interface `SepaDauerauftrag`
Returns:
  true, wenn die Bank mitgeteilt hat, dass der Auftrag geloescht werden darf.
Throws:
  `RemoteException`
See Also:
  - `SepaDauerauftrag.canDelete()`

### setChangable

public void setChangable(boolean b) throws RemoteException
Legt fest, ob der Auftrag der Bank zufolge aenderbar ist.

Parameters:
  `b` - true, wenn die Bank mitgeteilt hat, dass der Auftrag aenderbar ist.
Throws:
  `RemoteException`

### setDeletable

public void setDeletable(boolean b) throws RemoteException
Legt fest, ob der Auftrag der Bank zufolge loeschbar ist.

Parameters:
  `b` - true, wenn die Bank mitgeteilt hat, dass der Auftrag loeschbar ist.
Throws:
  `RemoteException`

### getPmtInfId

public String getPmtInfId() throws RemoteException
Description copied from interface: `SepaPayment`
Liefert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `getPmtInfId` in interface `SepaPayment`
Returns:
  die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.getPmtInfId()`

### setPmtInfId

public void setPmtInfId(String id) throws RemoteException
Description copied from interface: `SepaPayment`
Speichert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `setPmtInfId` in interface `SepaPayment`
Parameters:
  `id` - die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.setPmtInfId(java.lang.String)`

### getPurposeCode

public String getPurposeCode() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert den optionalen Purpose-Code.

Specified by:
  `getPurposeCode` in interface `SepaBooking`
Returns:
  der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getPurposeCode()`

### setPurposeCode

public void setPurposeCode(String code) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert den optionalen Purpose-Code.

Specified by:
  `setPurposeCode` in interface `SepaBooking`
Parameters:
  `code` - der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setPurposeCode(java.lang.String)`